Subject: [PATCH v6 1/3] tty/serial: Add GPIOLIB helpers for controlling modem lines

From: [email-masked] (Greg Kroah-Hartman)
Date: Wed, 2 Apr 2014 16:13:15 -0700

On Wed, Apr 02, 2014 at 05:09:03PM +0200, Richard Genoud wrote:
> On 18/03/2014 00:23, Greg Kroah-Hartman wrote:
> > On Mon, Mar 10, 2014 at 05:45:49PM +0100, Richard Genoud wrote:
> >> This patch add some helpers to control modem lines (CTS/RTS/DSR...) via
> >> GPIO.
> >> This will be useful for many boards which have a serial controller that
> >> only handle CTS/RTS pins (or even just RX/TX).
> >>
> >> Signed-off-by: Richard Genoud <[email-masked]>
> > 
> > Acked-by: Greg Kroah-Hartman <[email-masked]>
> > 
> > I can't take this series through my tty tree as the non-tty patches
> > don't apply, so feel free to take them through whatever tree is needed.
> > 
> > greg k-h
> > 
> 
> I guess this series won't make it for 3.15, as it doesn't apply on any tree.
> However, I'd like to know if I did something wrong, or if there's no
> solution when a series depends on several patches that are in different
> trees ?

That's a hard problem, either wait a release cycle for everything to get
merged properly (like should be done in time for 3.15-rc1 now) and then
submit the code, or ask for different maintainers to either allow other
trees to take the patches, put the patches in different trees at the
same time, or have "topic branches" that different maintainers can pull
from.

Care to send me the patches after 3.15-rc1 is out, as there should not
be any dependancy issues then, right?

greg k-h